private function GetSubfolders(objParentFolder, path)

    dim result
    
    Set colFolders = objParentFolder.Folders
    For Each objFolder in colFolders

        Set objSubfolder = objParentFolder.Folders(objFolder.Name)
        
        if path <> "" then 
            currentPath = path & "->" & objSubFolder.Name 
        else
            currentPath = objSubFolder.Name 
        end if 
        
        if objSubfolder.Items.Count > 0 then
            ' Get only the "Unread" items
            Set UnreadItems = objSubfolder.Items.Restrict("[UnRead] = True")
         
            ' Loop through all of the "unread" items in the current folder
            For Each objPostItem In UnreadItems
                result = result & currentPath & "->" & objPostItem.Subject & vbcrlf
            Next

            result = result & GetSubfolders(objSubfolder, currentPath )
        end if
    Next
    
    GetSubFolders = result
    
End function


Function UnreadMail
     
    Dim olApp
    Dim olSession
    Dim olStartFolder
    
    Dim output
    
    Set olApp = CreateObject("outlook.application")
    Set olSession = olApp.GetNamespace("MAPI") 

    ' we don't have access to the Outlook defines olFolderInbox = 6
    Set olStartFolder = olSession.GetDefaultFolder(6).Parent

    ' recursively iterate over the folders in the inboxes PST
    output = output & GetSubfolders( olStartFolder, "" )
    
    Set outApp = Nothing
    Set aFolder = Nothing
    
    UnreadMail = "Unread Outlook Mail" & vbCrLf & output
    
End Function

